Page MenuHomePhabricator

If a user's real name isn't specified in Flickr, no author is set for Flickr uploads
Closed, ResolvedPublic

Description

If a Flickr user's real name isn't specified, we should fall back to their Flickr alias.

Here's an example of a file that had no author set...
https://commons.wikimedia.org/wiki/File:Cheesecake_au_caramel_au_beurre_sal%C3%A9_et_sp%C3%A9culoos.jpg
...from this Flickr photo...
https://secure.flickr.com/photos/jeanfred/6819570781/


Version: master
Severity: major

Details

Reference
bz42312

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:49 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz42312.
bzimport added a subscriber: Unknown Object (MLST).
kaldari created this task.Nov 20 2012, 11:05 PM

Note that Flickr uploading on Commons is currently disabled pending this bug being fixed (and maybe a few others while we're at it).

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:21 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:21 AM